Package io.strimzi.systemtest.resources.crd

## Class KafkaMirrorMakerResource

- java.lang.Object
- - io.strimzi.systemtest.resources.crd.KafkaMirrorMakerResource

-     public class KafkaMirrorMakerResource
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PATH_TO_KAFKA_MIRROR_MAKER_CONFIG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaMirrorMakerResource()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static io.strimzi.api.kafka.model.KafkaMirrorMaker` | `createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaMirrorMaker kafkaMirrorMaker)` |
    `static void` | `deleteKafkaMirrorMakerWithoutWait​(String resourceName)` |
    `static io.strimzi.api.kafka.model.KafkaMirrorMakerBuilder` | `kafkaMirrorMaker​(String name, String sourceBootstrapServer, String targetBootstrapServer, String groupId, int mirrorMakerReplicas, boolean tlsListener)` |
    `static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaMirrorMaker,​io.strimzi.api.kafka.KafkaMirrorMakerList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaMirrorMaker>>` | `kafkaMirrorMakerClient()` |
    `static io.strimzi.api.kafka.model.KafkaMirrorMaker` | `kafkaMirrorMakerWithoutWait​(io.strimzi.api.kafka.model.KafkaMirrorMaker kafkaMirrorMaker)` |
    `static void` | `replaceMirrorMakerResource​(String resourceName, Consumer<io.strimzi.api.kafka.model.KafkaMirrorMaker> editor)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PATH_TO_KAFKA_MIRROR_MAKER_CONFIG

          public static final String PATH_TO_KAFKA_MIRROR_MAKER_CONFIG

  - ### Constructor Detail

    - #### KafkaMirrorMakerResource

          public KafkaMirrorMakerResource()

  - ### Method Detail

    - #### kafkaMirrorMakerClient

          public static io.fabric8.kubernetes.client.dsl.MixedOperation<io.strimzi.api.kafka.model.KafkaMirrorMaker,​io.strimzi.api.kafka.KafkaMirrorMakerList,​io.fabric8.kubernetes.client.dsl.Resource<io.strimzi.api.kafka.model.KafkaMirrorMaker>> kafkaMirrorMakerClient()

    - #### kafkaMirrorMaker

          public static io.strimzi.api.kafka.model.KafkaMirrorMakerBuilder kafkaMirrorMaker​(String name,
                                                                                            String sourceBootstrapServer,
                                                                                            String targetBootstrapServer,
                                                                                            String groupId,
                                                                                            int mirrorMakerReplicas,
                                                                                            boolean tlsListener)

    - #### createAndWaitForReadiness

          public static io.strimzi.api.kafka.model.KafkaMirrorMaker createAndWaitForReadiness​(io.strimzi.api.kafka.model.KafkaMirrorMaker kafkaMirrorMaker)

    - #### kafkaMirrorMakerWithoutWait

          public static io.strimzi.api.kafka.model.KafkaMirrorMaker kafkaMirrorMakerWithoutWait​(io.strimzi.api.kafka.model.KafkaMirrorMaker kafkaMirrorMaker)

    - #### deleteKafkaMirrorMakerWithoutWait

          public static void deleteKafkaMirrorMakerWithoutWait​(String resourceName)

    - #### replaceMirrorMakerResource

          public static void replaceMirrorMakerResource​(String resourceName,
                                                        Consumer<io.strimzi.api.kafka.model.KafkaMirrorMaker> editor)